/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomFileList_H___INT_
#define __GdomFileList_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "FileList.h"
namespace WebCore {
    gpointer toGDOM(FileList* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMFileList : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_FILE_LIST; }
    GDOMFileList(PassRefPtr<WebCore::FileList> impl);
    virtual ~GDOMFileList();
    WebCore::FileList* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::FileList> m_impl;
};
G_END_DECLS

#endif /* __GdomFileList_H___INT_*/
